Package com.sun.jna.platform.win32

## Class WinRas.RASIPV6ADDR

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinRas.RASIPV6ADDR

Enclosing interface:
  WinRas

    @FieldOrder("addr")
    public static class WinRas.RASIPV6ADDR
    extends Structure

This RASTUNNELENDPOINT structure is used to define the end-point of a virtual private network (VPN) tunnel.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`byte[]` `addr` A value that determines endpoint type

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`RASIPV6ADDR()`
`RASIPV6ADDR​(Pointer memory)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### addr

    public byte[] addr

A value that determines endpoint type

### Constructor Detail

#### RASIPV6ADDR

    public RASIPV6ADDR()

#### RASIPV6ADDR

    public RASIPV6ADDR​(Pointer memory)